package com.kiisoo.ic.synchronous.entity;

import java.util.Date;

/**
 * @ClassName: TurnBackDTO
 * @Description:
 * @Auther: Caps
 * @Date: 2020/4/23 0023 10:08
 * @Version:
 */
public class TurnBackDTO {

    /**
     * 店铺code
     */
    private String shop_code;

    /**
     * 推广员编码
     */
    private String ea_code;

    /**
     * 推广类型 1、内部推广 2、客户推广
     */
    private int type;

    /**
     * 	客户名称
     */
    private String name;

    /**
     * 客户手机号
     */
    private String phone;

    /**
     * 加入时间
     */
    private Date join_time;

    /**
     * 微信id对象
     */
    private WxDataDTO wx_data;

    /**
     * 会员信息
     */
    private VipDataDTO vip_data;

    public String getShop_code() {
        return shop_code;
    }

    public void setShop_code(String shop_code) {
        this.shop_code = shop_code;
    }

    public String getEa_code() {
        return ea_code;
    }

    public void setEa_code(String ea_code) {
        this.ea_code = ea_code;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getJoin_time() {
        return join_time;
    }

    public void setJoin_time(Date join_time) {
        this.join_time = join_time;
    }

    public WxDataDTO getWx_data() {
        return wx_data;
    }

    public void setWx_data(WxDataDTO wx_data) {
        this.wx_data = wx_data;
    }

    public VipDataDTO getVip_data() {
        return vip_data;
    }

    public void setVip_data(VipDataDTO vip_data) {
        this.vip_data = vip_data;
    }
}
